Bug 23410 - Add submenus to system preferences sidebar menu
Summary: Add submenus to system preferences sidebar menu
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-01 11:46 UTC by Owen Leonard
Modified: 2020-08-21 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off: This patch adds subitems in the system preferences left side menu for easier navigation
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Screenshot showing updated interface (23.70 KB, image/png)
2019-08-01 11:46 UTC, Owen Leonard
Details
Bug 23410: Add submenus to system preferences sidebar menu (18.17 KB, patch)
2020-06-24 22:49 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23410: Add submenus to system preferences sidebar menu (18.26 KB, patch)
2020-06-28 19:39 UTC, David Nind
Details | Diff | Splinter Review
Bug 23410: Add submenus to system preferences sidebar menu (18.32 KB, patch)
2020-06-28 21:59 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-08-01 11:46:34 UTC
Created attachment 91902 [details]
Screenshot showing updated interface

One of my proposed changes in Bug 20935 is the addition of submenu items in the sidebar menu of system preferences. I'm proposing this as a standalone enhancement.
Comment 1 Lisette Scheer 2019-08-01 18:59:02 UTC
I think that would be very helpful! We have so many system preferences that sometime they can be hard to find if you don't know the specific pref to search for. 
Lisette
Comment 2 Katrin Fischer 2019-08-10 20:46:30 UTC
+1 :)
Comment 3 Owen Leonard 2020-06-24 22:49:56 UTC
Created attachment 106267 [details] [review]
Bug 23410: Add submenus to system preferences sidebar menu

This patch adds a submenu to the sidebar menu in the system preferences
interface. Submenu links let you jump to the sub-sections in each
preference category.

In the search results view, a link is added to allow the user to jump
directly to the section from which those results came. For instance, if
your search returns the "SuspendHoldsOpac" preference, the link will
take you to to the Circulation preferences page and jump the page to the
"Holds policy" section.

This patch also converts the expand/collapse arrows to Font Awesome
icons. The obsolete image files are removed.

If you click a submenu link for a section on the current page which has
been collapsed, the section will expand.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go to Administration -> System preferences.
 - Test the various preference categories and confirm that the submenus
   appear correctly and jump you to the right section.
   - Test that if you click a section heading to collapse it that
     clicking the corresponding submenu link in the sidebar causes it to
     expand again.
 - Do a search for system preferences and confirm that the sidebar menu
   displays correctly.
 - Confirm that the "View all..." links take you to the correct page and
   section.
Comment 4 David Nind 2020-06-28 19:39:20 UTC
Created attachment 106361 [details] [review]
Bug 23410: Add submenus to system preferences sidebar menu

This patch adds a submenu to the sidebar menu in the system preferences
interface. Submenu links let you jump to the sub-sections in each
preference category.

In the search results view, a link is added to allow the user to jump
directly to the section from which those results came. For instance, if
your search returns the "SuspendHoldsOpac" preference, the link will
take you to to the Circulation preferences page and jump the page to the
"Holds policy" section.

This patch also converts the expand/collapse arrows to Font Awesome
icons. The obsolete image files are removed.

If you click a submenu link for a section on the current page which has
been collapsed, the section will expand.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go to Administration -> System preferences.
 - Test the various preference categories and confirm that the submenus
   appear correctly and jump you to the right section.
   - Test that if you click a section heading to collapse it that
     clicking the corresponding submenu link in the sidebar causes it to
     expand again.
 - Do a search for system preferences and confirm that the sidebar menu
   displays correctly.
 - Confirm that the "View all..." links take you to the correct page and
   section.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Katrin Fischer 2020-06-28 21:58:57 UTC
I am going to pass this, as it's nice.

Some ideas for enhancements:
- I think it would be nice if there was some kind of visual hover effect on the sub menus.
- It could be nice to expand and also be able to collapse them.
Comment 6 Katrin Fischer 2020-06-28 21:59:28 UTC
Created attachment 106365 [details] [review]
Bug 23410: Add submenus to system preferences sidebar menu

This patch adds a submenu to the sidebar menu in the system preferences
interface. Submenu links let you jump to the sub-sections in each
preference category.

In the search results view, a link is added to allow the user to jump
directly to the section from which those results came. For instance, if
your search returns the "SuspendHoldsOpac" preference, the link will
take you to to the Circulation preferences page and jump the page to the
"Holds policy" section.

This patch also converts the expand/collapse arrows to Font Awesome
icons. The obsolete image files are removed.

If you click a submenu link for a section on the current page which has
been collapsed, the section will expand.

To test, apply the patch and rebuild the staff client CSS
(https://wiki.koha-community.org/wiki/Working_with_SCSS_in_the_OPAC_and_staff_client).

 - Go to Administration -> System preferences.
 - Test the various preference categories and confirm that the submenus
   appear correctly and jump you to the right section.
   - Test that if you click a section heading to collapse it that
     clicking the corresponding submenu link in the sidebar causes it to
     expand again.
 - Do a search for system preferences and confirm that the sidebar menu
   displays correctly.
 - Confirm that the "View all..." links take you to the correct page and
   section.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 7 Jonathan Druart 2020-06-29 11:50:25 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 8 Lucas Gass 2020-07-13 16:43:29 UTC
Nice enhancement but not backporting to the 20.05.x series